<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Byakurai
 */

defined( 'ABSPATH' ) || exit;
get_header();
$tmpcontent = false;
?>
	<main id="primary" class="site-main">
		<div id="main-child">
		<?php
		if ( is_author() && function_exists( 'byakuraitmp_print_author' ) ) {
			$tmpcontent = byakuraitmp_print_author();
		} elseif ( function_exists( 'byakuraitmp_print_archive' ) ) {
			$tmpcontent = byakuraitmp_print_archive();
		}

		if ( false === $tmpcontent ) {
			get_template_part( 'template-parts/content', 'archive' );
		} else {
			edit_post_link( __( 'Edit template archive', 'byakurai' ), '', '', $tmpcontent );
		}
		?>
		</div>
	</main><!-- #main -->
<?php
get_sidebar( '1' );
get_sidebar( '2' );
get_footer();
